%define	oname DevIL

%define major		1
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Open source image library
Name:		devil
Version:	1.7.8
Release:	%mkrel 32
License:	LGPLv2+
Group:		System/Libraries
URL:		http://openil.sourceforge.net/
Source0:	http://downloads.sourceforge.net/openil/%{oname}-%{version}.tar.gz
Patch0:		devil-1.7.8-libpng14.patch
Patch1:		devil-1.7.8-link.patch
Patch2:		devil-1.7.8-CVE-2009-3994.patch
Patch3:		devil-1.7.8-gcc5.patch
Patch4:		devil-1.7.8-jasper2.patch

BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(glu)
BuildRequires:	allegro4-devel
BuildRequires:	ungif-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	file
BuildRequires:	texinfo

%description
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{libname}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	lib%{name}
Provides:	%{name}

%description -n	%{libname}
DevIL is an Open Source image library whose distribution is done under the
terms of the GNU LGPL license.
DevIL offers you a simple way to implement loading, manipulating, filtering,
converting, displaying, saving from/to several different image formats in your
own project.

%package -n %{develname}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}devil1-devel
Obsoletes:	%{_lib}devil-static-devel < 1.7.8-10

%description -n	%{develname}
Development headers and libraries for writing programs using %{oname}.

%package 	utils
Summary:	Tools provided by %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-utils = %{version}-%{release}

%description 	utils
This package contains tools provided by %{oname}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -ffast-math -fomit-frame-pointer -fexpensive-optimizations"
autoreconf -fi

%configure	\
	--enable-shared \
	--disable-static \
	--enable-ILU \
	--enable-ILUT \
%ifarch x86_64
	--enable-x86_64 \
	--enable-sse \
	--enable-sse2 \
	--disable-sse3 \
%endif
%ifarch %ix86
	--enable-x86 \
	--disable-x86_64 \
	--disable-sse \
	--disable-sse2 \
	--disable-sse3 \
%endif
	--with-x \
	--with-zlib=yes \
	--enable-release

%make_build CPPFLAGS="-DNOINLINE"

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS CREDITS ChangeLog Libraries.txt README.unix
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/IL
%{_infodir}/*.info.*

%files utils
%{_bindir}/ilur


%changelog
* Wed Sep 09 2020 zezinho <zezinho> 1.7.8-32.mga8
+ Revision: 1623897
- rebuild against libimg

* Fri Feb 14 2020 umeabot <umeabot> 1.7.8-31.mga8
+ Revision: 1519444
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 15 2018 daviddavid <daviddavid> 1.7.8-30.mga7
+ Revision: 1320496
- rebuild for new ilmbase and openexr 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 1.7.8-29.mga7
+ Revision: 1297429
- Mageia 7 Mass Rebuild

* Sun May 27 2018 wally <wally> 1.7.8-28.mga7
+ Revision: 1232411
- rebuild for openexr 2.2.1

* Mon Apr 16 2018 daviddavid <daviddavid> 1.7.8-27.mga7
+ Revision: 1219294
- rebuild for new jasper 2.0.14

* Tue Jan 09 2018 wally <wally> 1.7.8-26.mga7
+ Revision: 1191934
- rebuild for new ilmbase

* Sun Mar 12 2017 akien <akien> 1.7.8-25.mga6
+ Revision: 1092241
- Rebuild against allegro4

* Fri Mar 03 2017 daviddavid <daviddavid> 1.7.8-24.mga6
+ Revision: 1088606
- add fedora patch to fix build with newer jasper (futur jasper 2)

* Sun Feb 14 2016 umeabot <umeabot> 1.7.8-23.mga6
+ Revision: 959840
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 akien <akien> 1.7.8-22.mga6
+ Revision: 868073
- Rebuild for gcc 5.2.1
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.8-20.mga5
+ Revision: 678723
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 luigiwalser <luigiwalser> 1.7.8-19.mga5
+ Revision: 666988
- rebuild for ilmbase and OpenEXR

* Sat Aug 02 2014 spuhler <spuhler> 1.7.8-18.mga5
+ Revision: 659161
- changed BuildRequires:  lcms-devel to lcms2-devel
  * we want to obsolete lcms

* Fri Apr 25 2014 akien <akien> 1.7.8-17.mga5
+ Revision: 618065
- Rebuild for new OpenEXR

* Sat Oct 19 2013 umeabot <umeabot> 1.7.8-16.mga5
+ Revision: 534411
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 1.7.8-15.mga4
+ Revision: 477839
- rebuild for new ilmbase

* Tue Aug 27 2013 tv <tv> 1.7.8-14.mga4
+ Revision: 472376
- rebuild for new libmng

* Sun Jun 02 2013 fwang <fwang> 1.7.8-13.mga4
+ Revision: 434722
- rebuild for new libpng

* Sun Apr 07 2013 rtp <rtp> 1.7.8-12.mga3
+ Revision: 408943
- fix configure args

* Fri Jan 11 2013 umeabot <umeabot> 1.7.8-11.mga3
+ Revision: 348736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 wally <wally> 1.7.8-10.mga3
+ Revision: 194728
- fix CVE-2009-3994 (better late than never)
- disable static build and drop -static-devel pkg
- use an ugly CPPFLAGS workaround to get pkg build (temporary)
+ dmorgan <dmorgan>
- Fix provides in the devel packages
+ fwang <fwang>
- fix linkage
- rebuild for new tiff

* Mon Oct 03 2011 fwang <fwang> 1.7.8-9.mga2
+ Revision: 151166
- drop .la files

* Sat Sep 10 2011 fwang <fwang> 1.7.8-8.mga2
+ Revision: 142180
- remove deprecated symbol
- rebuild for new libpng

* Mon Jul 18 2011 dmorgan <dmorgan> 1.7.8-7.mga2
+ Revision: 125821
- Rebuild against new directfb

* Mon Jul 18 2011 fwang <fwang> 1.7.8-6.mga2
+ Revision: 125784
- rebuild for new dfb

* Thu Mar 24 2011 boklm <boklm> 1.7.8-5.mga1
+ Revision: 76135
- rebuild for bug #497

* Mon Mar 07 2011 nanardon <nanardon> 1.7.8-4.mga1
+ Revision: 65789
- mdv cleanup
- imported package devil


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.7.8-4mdv2011.0
+ Revision: 622469
- rebuild for new directfb

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.8-3mdv2011.0
+ Revision: 610239
- rebuild

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 1.7.8-2mdv2010.0
+ Revision: 419751
- rebuild for new libjpeg v7

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.7.8-1mdv2010.0
+ Revision: 402804
- New version 1.7.8
- new package devil-utils

* Sat Mar 07 2009 Emmanuel Andry <eandry@mandriva.org> 1.7.7-1mdv2009.1
+ Revision: 351816
- New version 1.7.7
- BR OpenEXR-devel
- update files list

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.5-3mdv2009.1
+ Revision: 348589
- fix static devel package dependencies

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.5-2mdv2009.1
+ Revision: 348165
- rebuild

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.5-1mdv2009.1
+ Revision: 333804
- allegro libraries are now compiled with -fPIC for x86_64, this should fix compiling of devil libraries
- tune up configure options

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 1.7.5
    - drop P1 and P3, files to patch are not present anymore
    - drop ?\194P3, fixed upstream

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 1.7.3-2mdv2009.1
+ Revision: 319214
- fix obsoletes

* Sun Dec 14 2008 Adam Williamson <awilliamson@mandriva.org> 1.7.3-1mdv2009.1
+ Revision: 314091
- add headers.patch to fix a couple of header locations
- and, ok, no_undefined is needed...
- turns out we now need a configure flag to get ILU and ILUT built
- use autoreconf not autogen.sh (it doesn't work right)
- add void.patch: fix inappropriate use of typedef void as a function argument
  (breaks compilation of anything that builds against devil)
- rediff underlinking.patch
- new release 1.7.3
- small cleanups
- no need to disable no_undefined

* Mon Nov 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.2-2mdv2009.1
+ Revision: 301687
- use _disable_ld_no_undefined due to internal linking problems
- fix build
- rebuilt against new libxcb

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.7.2
    - fix license

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 1.7.1-2mdv2009.0
+ Revision: 278748
- obsolete old devel package

* Wed Aug 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7.1-1mdv2009.0
+ Revision: 276604
- update to new version 1.7.1
- Patch1: rediff
- drop patches 0,2,3,4 fixed upstream
- disable sse optimizations on ix86
- spec file clean

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.6.7-15mdv2008.1
+ Revision: 170796
- rebuild

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 1.6.7-14mdv2008.1
+ Revision: 144830
- fix headers with recent gcc (header-void.patch from debian)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix autoconf-2.5x path

* Sat May 26 2007 Funda Wang <fwang@mandriva.org> 1.6.7-13mdv2008.0
+ Revision: 31422
- Rebuild for directfb 1.0


* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-12mdv2007.0
+ Revision: 110733
- fix bogus dependency on devel(liballeg* for lib64 too

* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-11mdv2007.1
+ Revision: 110640
- add buildrequires on libtool
- use our own libtool, this will avoid rpath & linking issues

* Fri Jan 19 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-9mdv2007.1
+ Revision: 110587
- fix binary-or-shlib-defines-rpath
- add debian fixes for png on x86_64, endianness fixes, header fixes etc. (P0)
  fix linking against libungif (P1)
  fix linking against allegro (P2, from fedora)
  more header fiexes (P3, from fedora)
- fix building of shared libIL library on 64 bit

* Mon Dec 04 2006 Olivier Blin <oblin@mandriva.com> 1.6.7-8mdv2007.1
+ Revision: 90559
- remove hardcoded mkrel definition
- Import devil

* Fri Apr 07 2006 Lenny Cartier <lenny@mandriva.com> 1.6.7-7mdk
- use -enable-static

* Wed Mar 22 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-6mdk
- add package for static libraries

* Fri Sep 23 2005 Guillaume Bedot <littletux@mandriva.org> 1.6.7-5mdk
- rebuild with allegro-4.2.0

* Fri Aug 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.6.7-4mdk
- rebuild against new allegro

* Sat Apr 16 2005 Guillaume Bedot <littletux@mandriva.org> 1.6.7-3mdk
- make it easy to build with allegro or allegro-testing.
- rebuilt with allegro-testing.
- use mkrel.

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.7-2mdk
- fix buildrequires

* Mon Jan 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.7-1mdk
- 1.6.7
- drop P0 & P1
- compile with -O3

